package org.xyzh.common.dto.resource;

import org.xyzh.common.dto.BaseDTO;
import java.util.Date;

/**
 * @description 数据采集记录表
 * @filename TbDataCollectionLog.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbDataCollectionLog extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 配置ID
     */
    private String configID;
    
    /**
     * @description 采集数量
     */
    private Integer collectCount;
    
    /**
     * @description 成功数量
     */
    private Integer successCount;
    
    /**
     * @description 失败数量
     */
    private Integer failCount;
    
    /**
     * @description 状态（0失败 1成功 2部分成功）
     */
    private Integer status;
    
    /**
     * @description 采集消息
     */
    private String message;
    
    /**
     * @description 采集时间
     */
    private Date collectTime;

    public String getConfigID() {
        return configID;
    }

    public void setConfigID(String configID) {
        this.configID = configID;
    }

    public Integer getCollectCount() {
        return collectCount;
    }

    public void setCollectCount(Integer collectCount) {
        this.collectCount = collectCount;
    }

    public Integer getSuccessCount() {
        return successCount;
    }

    public void setSuccessCount(Integer successCount) {
        this.successCount = successCount;
    }

    public Integer getFailCount() {
        return failCount;
    }

    public void setFailCount(Integer failCount) {
        this.failCount = failCount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Date getCollectTime() {
        return collectTime;
    }

    public void setCollectTime(Date collectTime) {
        this.collectTime = collectTime;
    }

    @Override
    public String toString() {
        return "TbDataCollectionLog{" +
                "id=" + getID() +
                ", configID='" + configID + '\'' +
                ", collectCount=" + collectCount +
                ", successCount=" + successCount +
                ", failCount=" + failCount +
                ", status=" + status +
                ", collectTime=" + collectTime +
                '}';
    }
}
